From 06013d1d1fbaa64aa99f5067b2608ab833a92b3d Mon Sep 17 00:00:00 2001
From: Fujii Masao <fujii@postgresql.org>
Date: Thu, 3 Jul 2025 00:35:44 +0900
Subject: [PATCH v1] doc: Add missing index entries and fix title formatting in
 pg_buffercache docs.

This commit adds missing index entries for the functions pg_buffercache_numa()
and pg_buffercache_usage_counts() in the pg_buffercache documentation.

It also makes the function titles consistent by adding parentheses after
function names where they were previously missing.
---
 doc/src/sgml/pgbuffercache.sgml | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

diff --git a/doc/src/sgml/pgbuffercache.sgml b/doc/src/sgml/pgbuffercache.sgml
index 546ace8369e..eeb85a0e049 100644
--- a/doc/src/sgml/pgbuffercache.sgml
+++ b/doc/src/sgml/pgbuffercache.sgml
@@ -19,10 +19,18 @@
   <primary>pg_buffercache_pages</primary>
  </indexterm>
 
+ <indexterm>
+  <primary>pg_buffercache_numa</primary>
+ </indexterm>
+
  <indexterm>
   <primary>pg_buffercache_summary</primary>
  </indexterm>
 
+ <indexterm>
+  <primary>pg_buffercache_usage_counts</primary>
+ </indexterm>
+
  <indexterm>
   <primary>pg_buffercache_evict</primary>
  </indexterm>
@@ -489,7 +497,7 @@
  </sect2>
 
  <sect2 id="pgbuffercache-pg-buffercache-evict-relation">
-  <title>The <structname>pg_buffercache_evict_relation</structname> Function</title>
+  <title>The <structname>pg_buffercache_evict_relation()</structname> Function</title>
   <para>
    The <function>pg_buffercache_evict_relation()</function> function is very
    similar to the <function>pg_buffercache_evict()</function> function.  The
@@ -507,7 +515,7 @@
  </sect2>
 
  <sect2 id="pgbuffercache-pg-buffercache-evict-all">
-  <title>The <structname>pg_buffercache_evict_all</structname> Function</title>
+  <title>The <structname>pg_buffercache_evict_all()</structname> Function</title>
   <para>
    The <function>pg_buffercache_evict_all()</function> function is very
    similar to the <function>pg_buffercache_evict()</function> function.  The
-- 
2.49.0

